Delete Rule

Delete Rule
Deletes Customer Rule

Deletes customer rule from the Usage Meter

Request
URI
DELETE
https://umip/api/v1/rules/{id}
COPY
Path Parameters
string
id
Required

The id(UUID) of a customer rule


Authentication
This operation uses the following authentication methods.
Responses
204

Rule deletion is successful

Operation doesn't return any data structure

400

Invalid data for one or more fields in the request

Returns 400InvalidRequest of type(s) application/json
{
    "errCode": "GW_REQ_KEY",
    "errMessage": "Not found expected value for key 'sampleKey'"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/rules/{id}